summaryrefslogtreecommitdiffstats
path: root/source/ap/screen
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/screen')
-rwxr-xr-xsource/ap/screen/screen.SlackBuild11
-rw-r--r--source/ap/screen/screen.d_termname.envterm.buffersizeincrease.diff22
2 files changed, 29 insertions, 4 deletions
diff --git a/source/ap/screen/screen.SlackBuild b/source/ap/screen/screen.SlackBuild
index 3464bc4a8..29ad8c694 100755
--- a/source/ap/screen/screen.SlackBuild
+++ b/source/ap/screen/screen.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,7 +21,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
VERSION=${VERSION:-4.0.3}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -51,10 +51,13 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf screen-$VERSION
-tar xjvf $CWD/screen-$VERSION.tar.bz2
+tar xvf $CWD/screen-$VERSION.tar.?z* || exit 1
cd screen-$VERSION || exit 1
+# Increase the size of the termname buffer from 20 to 63:
+zcat $CWD/screen.d_termname.envterm.buffersizeincrease.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -72,7 +75,7 @@ CFLAGS="$SLKCFLAGS" \
--enable-locale \
--enable-colors256 \
--enable-rxvt_osc \
- $ARCH-slackware-linux
+ --build=$ARCH-slackware-linux
# Substitutions:
perl -pi -e 's|.*#undef HAVE_BRAILLE.*|#define HAVE_BRAILLE 1|' config.h
diff --git a/source/ap/screen/screen.d_termname.envterm.buffersizeincrease.diff b/source/ap/screen/screen.d_termname.envterm.buffersizeincrease.diff
new file mode 100644
index 000000000..26765d6ca
--- /dev/null
+++ b/source/ap/screen/screen.d_termname.envterm.buffersizeincrease.diff
@@ -0,0 +1,22 @@
+--- ./display.h.orig 2003-07-01 09:01:42.000000000 -0500
++++ ./display.h 2011-07-18 16:01:03.691998366 -0500
+@@ -85,7 +85,7 @@
+ struct win *d_other; /* pointer to other window */
+ int d_nonblock; /* -1 don't block if obufmax reached */
+ /* >0: block after nonblock secs */
+- char d_termname[20 + 1]; /* $TERM */
++ char d_termname[63 + 1]; /* $TERM */
+ char *d_tentry; /* buffer for tgetstr */
+ char d_tcinited; /* termcap inited flag */
+ int d_width, d_height; /* width/height of the screen */
+--- ./screen.h.orig 2003-08-22 07:28:43.000000000 -0500
++++ ./screen.h 2011-07-18 16:01:09.388004936 -0500
+@@ -202,7 +202,7 @@
+ char preselect[20];
+ int esc; /* his new escape character unless -1 */
+ int meta_esc; /* his new meta esc character unless -1 */
+- char envterm[20 + 1]; /* terminal type */
++ char envterm[63 + 1]; /* terminal type */
+ int encoding; /* encoding of display */
+ }
+ attach;